Page MenuHomePhabricator

deploy CoreDNS as a in-cluster DNS service
Open, NormalPublic

Description

Sometimes pods needs to reach other pods that live inside the cluster, in those scenarios having an internal DNS service is helpful. From 1.12 and beyond CoreDNS is the default and defacto DNS server for k8s clusters.

Event Timeline

fsero created this task.Jun 25 2019, 2:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2019, 2:47 PM
Dzahn added a subscriber: Dzahn.Jun 28 2019, 11:00 PM
fsero triaged this task as Normal priority.Jul 3 2019, 8:19 AM
fsero moved this task from Backlog to Next up on the serviceops board.

Mentioned in SAL (#wikimedia-operations) [2019-07-16T08:12:11Z] <fsero> uploading coredns_1.5.2 for buster and stretch - T226516

Change 523662 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/docker-images/production-images@master] Added a new coredns container image

https://gerrit.wikimedia.org/r/523662

Change 523662 merged by Fsero:
[operations/docker-images/production-images@master] Added a new coredns container image

https://gerrit.wikimedia.org/r/523662

Mentioned in SAL (#wikimedia-operations) [2019-07-16T08:50:03Z] <fsero> upload coredns docker image into registry T226516

Change 523722 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/deployment-charts@master] helmfile,k8s: Add a coredns deployment for DNS in-cluster service

https://gerrit.wikimedia.org/r/523722

Change 523722 merged by Fsero:
[operations/deployment-charts@master] helmfile,k8s: Add a coredns deployment for DNS in-cluster service

https://gerrit.wikimedia.org/r/523722

Mentioned in SAL (#wikimedia-operations) [2019-07-19T15:22:47Z] <fsero> deploy coredns in staging T226516

Change 524737 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/deployment-charts@master] helmfile,deploy: coredns needs api host and port

https://gerrit.wikimedia.org/r/524737

Change 524737 merged by Fsero:
[operations/deployment-charts@master] helmfile,deploy: coredns needs api host and port

https://gerrit.wikimedia.org/r/524737

Mentioned in SAL (#wikimedia-operations) [2019-07-22T10:20:57Z] <fsero> deploy coredns in staging T226516

Change 524750 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/puppet@production] k8s: introducing cluster-dns flag for coredns

https://gerrit.wikimedia.org/r/524750

Change 524750 merged by Fsero:
[operations/puppet@production] k8s: introducing cluster-dns flag for coredns

https://gerrit.wikimedia.org/r/524750